<template>
  <uni-popup ref="popupRef">
    <view class="popup-content">
      <image mode="aspectFill" src="https://mn.wenlvti.net/uploads/20250313/46adb2f039c6f23a3e69149526eb7e61.png">
      </image>
      <text class="text">信息已提交，请耐心等待审核结果</text>
      <view class="mt-3">
        <u-button type="primary" @click="$emit('back', true)">好的</u-button>
      </view>
    </view>
  </uni-popup>
</template>

<script setup lang="ts">
import { ref } from 'vue';

const popupRef = ref();

defineEmits([ 'back' ])
defineExpose({
  open: () => {
    popupRef.value.open();
  },
});

</script>